Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005868 [JEDI VCL] 00 JVCL Components block always 2012-04-24 11:55 2015-09-21 17:47
Reporter ZENsan View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005868: JvSpinEdit has a blocking bug in message handling
Description JvSpinEdit has a blocking bug in message handling
Additional Information
Tags No tags attached.
Attached Files rar file icon SpinEditBug.rar [^] (1,131 bytes) 2012-04-24 11:55
? file icon JvSpin.patch [^] (920 bytes) 2012-07-10 13:23

- Relationships

-  Notes
(0019920)
obones (administrator)
2012-06-12 15:40

I'm seeing it as well, it comes from TCustomUpDown in the VCL.
Basically, the mouse up event gets eaten away by the dialog box and as a result, the buttons still think they are "active".
You can see that with their hottrack effect moving with your mouse.
For now, I would suggest that no one moves the focus away from the spin edit in the OnChange event.
The easiest way to do that is to use PostMessage to trigger the dialog just a bit later on.
If anyone finds a solution, please provide a patch.
(0020051)
ZENsan (reporter)
2012-07-10 13:25

I tried to bypass the issue somehow. But only way I found for now is in attached patch. If we do not send UDM_SETPOS message then everything works fine, the only thing that when you click outside after messagebox, then it does not focus control from first click. But not more redundant click handler calls.
(0020888)
obones (administrator)
2013-12-18 16:20

This is now solved in GIT

- Issue History
Date Modified Username Field Change
2012-04-24 11:55 ZENsan New Issue
2012-04-24 11:55 ZENsan File Added: SpinEditBug.rar
2012-06-11 17:31 obones Status new => acknowledged
2012-06-12 15:40 obones Note Added: 0019920
2012-06-12 15:40 obones Status acknowledged => confirmed
2012-07-10 13:23 ZENsan File Added: JvSpin.patch
2012-07-10 13:25 ZENsan Note Added: 0020051
2013-12-18 16:20 obones Note Added: 0020888
2013-12-18 16:20 obones Status confirmed => resolved
2013-12-18 16:20 obones Fixed in Version => Daily / GIT
2013-12-18 16:20 obones Resolution open => fixed
2013-12-18 16:20 obones Assigned To => obones
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker